program stat_of_temperature
character(len=120)::firstrow
integer, parameter::satir=366,sutun=25
real,dimension(satir,sutun)::sicak
real,dimension(sutun)::ortsaat
integer::i,j
open(unit=1,file="C:\Documents and Settings\Administrator\Desktop\proje\notoku\sicakliklar.dat",status="old",action="read")
read(unit=1,fmt=*)firstrow

do i=1,satir
   read(unit=1,fmt=*)sicak(i,1:sutun)
   print*,sicak(i,1:sutun)
end do
do j=2,sutun
   ortsaat(j)=(sum(sicak(1:satir,j)))/satir
end do
open(unit=2,file="C:\Documents and Settings\Administrator\Desktop\proje\notoku\sicaklik.ort",status="new", action="write")
do i=2,sutun
 write(unit=*,fmt="(a,i2,a,f4.1)")"saat ",i-1," nin ortalamasý",ortsaat(i)
  write(unit=2,fmt="(a,i2,a,f4.1)")"saat ",i-1," nin ortalamasý",ortsaat(i)
enddo 
end program stat_of_temperature
